#!/bin/sh
if [ -z $TMPDIR ] ;
then
TMPDIR=/tmp
fi

if [ -x /usr/bin/scanimage ] ;
then
tmpscanfile=`date +%F`_tmp_scan
scanimage --mode $1 -l $2 -t $3 -x $4 -y $5 --resolution $6 --format pnm >$TMPDIR/$tmpscanfile

mogrify -format $7 -resize $8 -quality $9 $TMPDIR/$tmpscanfile
konqueror $TMPDIR/$tmpscanfile.$7

rm $TMPDIR/$tmpscanfile
rm $TMPDIR/$tmpscanfile.$7

else
kdialog --title "Error" --msgbox "You have to install sane-utils and ImageMagick 'sudo apt-get install sane-utils or yast2 --update sane-backends'"

# OpenSuse yast2
if [ -x /sbin/yast2 ] ;
then
kdesu -c '/sbin/yast2 --update sane-backends ImageMagick kim'
fi

# Ubuntu apt-get
if [ -x /sbin/apt-get ] ;
then
konsole -e sudo apt-get install sane-utils imagemagick konq-kim kim
fi

# Mandriva urpmi
if [ -x /usr/sbin/urpmi ] ;
then
konsole -e sudo urpmi sane-backends imagemagick kim
fi

fi
